<?php
  class sfEntryException extends sfException {
    const NOT_FOUND = 1000;
    const ERASED = 1001;
    const CATEGORY_NOT_FOUND = 1002;
    const LINK_DUPLICATE = 1003;

    public $errorNum;
    public function __construct($errorNum) {
      $this->errorNum = $errorNum;
      sfException::__construct($this->getEntryMessage(), $errorNum);
    }

    public function getEntryMessage() {
      switch ($this->errorNum) {
        case self::NOT_FOUND:
          return 'Tài liệu không tồn tại';
        case self::ERASED:
          return 'Tài liệu đã bị xóa';
        case self::CATEGORY_NOT_FOUND:
          return 'Chưa lựa chọn thư mục đưa tài liệu lên';
        case self::LINK_DUPLICATE:
          return 'Tài liệu này đã được đưa vào một mục khác trong cùng trang riêng';
      }
    }
  }